JAVA_XMX=${WAARP_XMX:-512m}
JAVA_XMS=${WAARP_XMS:-256m}

JAVA_HOME=${JAVA_HOME:-$(dirname $(dirname $(readlink -f $(which java))))}
JAVA_OPTS1="-server"
JAVA_OPTS2="-Xms${JAVA_XMS} -Xmx${JAVA_XMX}"
JAVA_RUN="${JAVA_HOME}/bin/java"

PATH=${JAVA_HOME}/bin:$PATH

# Find first instance
if [[ -z $R66_INST ]]; then
    for inst in $(ls etc/conf.d); do
        if [[ -e "etc/conf.d/$inst/$R66_TYPE.xml" ]]; then
            R66_INST=$inst
            break
        fi
    done
else
    if [[ ! -e "etc/conf.d/$R66_INST/$R66_TYPE.xml" ]]; then
        echo "L'instance Waarp R66 $R66_INST n'existe pas"
        exit 2
    fi
fi

# Inialize Conf and Log directory
CONFDIR=${CONFDIR:-etc/conf.d/${R66_INST}}

LOGSERVER=" -Dlogback.configurationFile=${CONFDIR}/logback-server.xml "
LOGCLIENT=" -Dlogback.configurationFile=${CONFDIR}/logback-client.xml "

R66_CLASSPATH="share/lib/WaarpR66-3.0.12.jar:share/lib/*"

JAVARUNCLIENT="${JAVA_RUN} ${JAVA_OPTS2} -cp ${R66_CLASSPATH} ${LOGCLIENT} "
JAVARUNSERVER="${JAVA_RUN} ${JAVA_OPTS1} ${JAVA_OPTS2} -cp ${R66_CLASSPATH} ${LOGSERVER} "

# handle "ulimit -n" for servers
if [[ -n "$R66_ULIMIT_N" ]]; then
    max_allowed=$(ulimit -Hn)
    ulimit -n $(( $R66_ULIMIT_N > $max_allowed  ? $max_allowed : $R66_ULIMIT_N ))
fi